Package com.collibra.dgc.core.api.dto

# Class CursorPagedResponse<T>

Object
PagedResponse<T>
CursorPagedResponse<T>

All Implemented Interfaces:
  `Serializable`

public class CursorPagedResponse<T> extends PagedResponse<T> implements Serializable
Response containing paged data.

See Also:
  - Serialized Form

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static class`
  `CursorPagedResponse.Builder<T>`

- ## Field Summary

  ### Fields inherited from class PagedResponse

  `limit, offset, total`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CursorPagedResponse()`
  `CursorPagedResponse(String nextCursor, List<T> results, long total, long offset, long limit)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected boolean`
  `canEqual(Object other)`
  `static <T> CursorPagedResponse.Builder<T>`
  `cursorBuilder()`
  `boolean`
  `equals(Object o)`
  `String`
  `getNextCursor()`
  Cursor value to be passed in next call to retrieve next page of results.
  `long`
  `getOffset()`
  Deprecated, for removal: This API element is subject to removal in a future version.
  use cursor pagination
  `long`
  `getTotal()`
  Deprecated, for removal: This API element is subject to removal in a future version.
  use cursor pagination
  `int`
  `hashCode()`

  ### Methods inherited from class PagedResponse

  `builder, getLimit, getResults, setLimit, setOffset, setResults, setTotal, toString`

  ### Methods inherited from class Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### CursorPagedResponse

    public CursorPagedResponse(String nextCursor, List<T> results, long total, long offset, long limit)

  - ### CursorPagedResponse

    public CursorPagedResponse()

- ## Method Details

  - ### getOffset

    @Deprecated(forRemoval=true) public long getOffset()
    Deprecated, for removal: This API element is subject to removal in a future version.
    use cursor pagination
    Description copied from class: `PagedResponse`
    Returns the offset for the results.
    Overrides:
      `getOffset` in class `PagedResponse<T>`
    Returns:
      the offset for the results

  - ### getTotal

    @Deprecated(forRemoval=true) public long getTotal()
    Deprecated, for removal: This API element is subject to removal in a future version.
    use cursor pagination
    Description copied from class: `PagedResponse`
    Returns the total number of results.
    Overrides:
      `getTotal` in class `PagedResponse<T>`
    Returns:
      the total number of results

  - ### cursorBuilder

    public static <T> CursorPagedResponse.Builder<T> cursorBuilder()

  - ### getNextCursor

    public String getNextCursor()
    Cursor value to be passed in next call to retrieve next page of results. Not returned for last page or when offset pagination is used.

  - ### equals

    public boolean equals(Object o)
    Overrides:
      `equals` in class `PagedResponse<T>`

  - ### canEqual

    protected boolean canEqual(Object other)
    Overrides:
      `canEqual` in class `PagedResponse<T>`

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `PagedResponse<T>`